picard.sam.util

## Class PhysicalLocationShort

- java.lang.Object
- - picard.sam.util.PhysicalLocationInt
  - - picard.sam.util.PhysicalLocationShort

- All Implemented Interfaces:
    PhysicalLocation
  Direct Known Subclasses:
    PhysicalLocationForMateCigar, ReadEnds

      public class PhysicalLocationShort
      extends PhysicalLocationInt

  Small class that provides access to the physical location information about a cluster. All values should be defaulted to -1 if unavailable. Tile should only allow non-zero positive integers, x and y coordinates must be non-negative. This is different from PhysicalLocationInt in that the x and y positions are shorts, not ints thus, they may overflow within a HiSeqX tile.

- - ### Field Summary

    - ### Fields inherited from class picard.sam.util.PhysicalLocationInt

      `tile, x, y`

    - ### Fields inherited from interface picard.sam.util.PhysicalLocation

      `NO_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhysicalLocationShort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setX(int x)`
    `void` | `setY(int y)`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationInt

      `getLibraryId, getReadGroup, getTile, getX, getY, setLibraryId, setReadGroup, setTile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.util.PhysicalLocation

      `hasLocation`

- - ### Constructor Detail

    - #### PhysicalLocationShort

          public PhysicalLocationShort()

  - ### Method Detail

    - #### setX

          public void setX(int x)

      Specified by:
        `setX` in interface `PhysicalLocation`
      Overrides:
        `setX` in class `PhysicalLocationInt`

    - #### setY

          public void setY(int y)

      Specified by:
        `setY` in interface `PhysicalLocation`
      Overrides:
        `setY` in class `PhysicalLocationInt`